  private void init()
    {
    Logger logger = Logger.getLogger( "" );
    assert( logger != null );

    // remove the all default handlers first
    Handler[] oldHandlers = logger.getHandlers();
    for( int i = 0; i < oldHandlers.length; ++i )
      {
      logger.removeHandler( oldHandlers[ i ] );
      }

    // create web sdk default formatter, use JDK default classes as fall back
    Formatter formatter = new SimpleFormatter();
    Handler handler = new ConsoleHandler();
    try
      {
      formatter =
        ( Formatter )Class.forName( getDefaultFormatter() ).newInstance();
      }
    catch( Exception e )
      {
      LoggingHelper.handleError(
        "Failed to instantiate default log formatter: "
        + getDefaultFormatter() );
      }

    try
      {
      handler =
        ( Handler )Class.forName( getDefaultConsoleHandler() ).newInstance();
      }
    catch( Exception e )
      {
      LoggingHelper.handleError(
        "Failed to instantiate default log console handler: "
        + getDefaultConsoleHandler() );
      }

    handler.setFormatter( formatter );

    // open handler level to all so we can use logger level to control
    handler.setLevel( Level.ALL );/// This statement causes the issue and start logging everything, if I change it to INFO FINEST level loggings stop coming even after setting in logging.properties
    logger.addHandler( handler );

    // set default log level
    Level level = Level.parse( getDefaultLogLevel().toUpperCase() );
    logger.setLevel( level );
    logger.log( Level.INFO,
                "web sdk QueuedConsoleHandler setup with PlainFormatter" );
    }